### Signal

# RB ExtDB::added

#### Declaration

    void
    added (
      RBExtDB* self,
      RBExtDBKey* key,
      gchar* filename,
      const GValue* data,
      gpointer user_data
    )

#### Description [src]

Emitted when metadata is added to the store. Metadata consumers can use this to process metadata they did not specifically request, for example to update album art stored on an attached media player.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`key`

  Type: `RBExtDBKey`

  The `RBExtDBKey` that was added.

  The data is owned by the caller of the function.

`filename`

  Type: `gchar*`

  The filename for the item that was added.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `GValue`

  The value that was stored.

  The data is owned by the caller of the function.